@import "abstracts/_mixins";

.slick-slide .highlight {
    // @include when-less-than(tablet) {
    //     min-height: 19.5436rem;
    // }
}

.highlight {
    padding: 0;
    background-color: #101326;
    border-radius: 50%;
    // width: 19%;
    box-sizing: border-box;
    position: relative;
    text-align: center;
    border: .3rem solid currentColor;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    // @include when-less-than(small_desktop) {
    //     width: 18%;
    // }
    width: 210px;
    height: 210px;
    margin: 0 12px;

    @media screen and (max-width: 1200px) {
        width: 170px;
        height: 170px;
    }

    @media screen and (max-width: 991px) {
        width: 140px !important;
        height: 140px !important;
        margin: 0 5px;
    }

    @media screen and (max-width: 767px) {
        height: 100%;
    }

    @include when-less-than(tablet) {
        border-width: 0.5rem;
    }

    &:first-of-type,
    &.n1,
    .slick-slide[data-slick-index="0"] & {
        color: #f17881;
    }

    &:nth-of-type(2),
    &.n2,
    .slick-slide[data-slick-index="1"] & {
        color: #9f5e88;
    }

    &:nth-of-type(3),
    &.n3,
    .slick-slide[data-slick-index="2"] & {
        color: #697aca;
    }

    &:nth-of-type(4),
    &.n4,
    .slick-slide[data-slick-index="3"] & {
        color: #4366e1;
    }

    &:nth-of-type(5),
    &.n5,
    .slick-slide[data-slick-index="4"] & {
        color: #654b8c;
    }

    &:hover {
        background: #003ABC;
        color: white !important;
    }

    &>.component-content {
        // padding: 2rem .23rem;
        font-weight: bolder;
        line-height: 1;
        display: flex !important;
        flex-direction: column;
        justify-content: center;
        align-items: center;

        // @include when-less-than(small_desktop) {
        //     line-height: 1.3;
        // }

        @include when-less-than(tablet) {
            // position: absolute;
            // width: 100%;
            // line-height: 1.1;
            // min-height: 19.5436rem;
            // display: flex;
            // flex-direction: column;
            // align-items: center;
            // justify-content: center;
        }
    }

    &__header {
        margin-bottom: 5rem;

        .featured-list__header__description {
            @include when-less-than(small_desktop) {
                font-size: 3rem;
            }
        }
    }

    &__background {
        position: absolute;
        width: 100%;
        padding-bottom: 18.488rem;
        margin-top: 2rem;

        @media screen and (max-width: 768px) {
            padding-bottom: 23rem;
        }

        a {
            width: 100%;
        }

        img {
            position: absolute;
            width: 100%;
            height: 100%;
            object-fit: cover;
            max-height: 285px;
        }
    }

    &__container {
        &>.component-content {
            padding-bottom: 7rem;
            display: flex !important;
            flex-wrap: nowrap;
            // justify-content: space-between;
            // width: 110rem;
            justify-content: center;
        }
    }

    &__number {
        text-align: center;
        font-size: 3rem;
        padding-bottom: .5rem;

        @include when-less-than(tablet) {
            text-align: center;
            font-size: 5rem;
            padding-bottom: 0.1rem;
        }
    }

    &__title {
        font-size: 1.2rem;
        max-width: 125px;
        @media screen and (max-width: 769px) {
            font-size: 1.6rem;
        }
        @include when-less-than(tablet) {
            font-size: 2rem;
        }
    }

    &__card {
        display: none;

        &-title {
            font-size: 2.3rem;
            color: #000;
            font-weight: bolder;
            padding-bottom: 1rem;
            line-height: 1.3;

            @media screen and (max-width: 768px) {
                width: 65%;
            }
        }

        &-description {
            font-weight: normal;
            font-size: 19px;
            color: #666666;
            padding-bottom: 1rem;
            line-height: 1.3;

            @media screen and (max-width: 768px) {
                font-size: 16px;
                margin-top: 15px;
            }
        }


    }

}

.slick-slide {
    margin-right: 3rem !important;
    width: 20rem;
}

.slick-list.draggable {
    padding-left: 3rem;
}

.LeftSpace {
    padding-left: 50px !important;
}

@media screen and (max-width: 1200px) {
    .LeftSpace {
        padding-left: 5px !important;
    }
}

@media screen and (min-width: 992px) {
    .highlight {
        // width: 15%;
    }
}

@media screen and (min-width: 1440px) {
    .highlight {
        // width: 19%;
    }
}

.padding15 {
    padding-right: 15px !important;
    padding-left: 15px !important;
}

.container-fluid {
    .padding15 {
        padding-right: 15px !important;
        padding-left: 15px !important;
    }
}